Upgrade to Meteor 1.2 and local market example does not working in Android


#1

IOS version is working and both iOS and android was working before this version. please help…
The android version was built successfully , here is the log .
Xiaowens-MBP:localmarket kevin$ meteor run android --verbose
Getting installed version for platform android in Cordova project
Getting installed version for platform ios in Cordova project
Checking Cordova requirements for platform Android
[[[[[ ~/meteorWorkspace/localmarket ]]]]]

=> Started proxy.
=> Started MongoDB.
Local package version is up-to-date: accounts-base@1.2.1
Local package version is up-to-date: accounts-oauth@1.1.7
Local package version is up-to-date: accounts-twitter@1.0.6
Local package version is up-to-date: autoupdate@1.2.3
Local package version is up-to-date: babel-compiler@5.8.24_1
Local package version is up-to-date: babel-runtime@0.1.4
Local package version is up-to-date: base64@1.0.4
Local package version is up-to-date: binary-heap@1.0.4
Local package version is up-to-date: blaze@2.1.3
Local package version is up-to-date: blaze-html-templates@1.0.1
Local package version is up-to-date: blaze-tools@1.0.4
Local package version is up-to-date: boilerplate-generator@1.0.4
Local package version is up-to-date: caching-compiler@1.0.0
Local package version is up-to-date: caching-html-compiler@1.0.1
Local package version is up-to-date: callback-hook@1.0.4
Local package version is up-to-date: check@1.0.6
Local package version is up-to-date: coffeescript@1.0.9
Local package version is up-to-date: ddp@1.2.2
Local package version is up-to-date: ddp-client@1.2.1
Local package version is up-to-date: ddp-common@1.2.1
Local package version is up-to-date: ddp-rate-limiter@1.0.0
Local package version is up-to-date: ddp-server@1.2.1
Local package version is up-to-date: deps@1.0.9
Local package version is up-to-date: diff-sequence@1.0.1
Local package version is up-to-date: ecmascript@0.1.4
Local package version is up-to-date: ecmascript-collections@0.1.6
Local package version is up-to-date: ejson@1.0.7
Local package version is up-to-date: email@1.0.7
Local package version is up-to-date: fastclick@1.0.7
Local package version is up-to-date: geojson-utils@1.0.4
Local package version is up-to-date: hot-code-push@1.0.0
Local package version is up-to-date: html-tools@1.0.5
Local package version is up-to-date: htmljs@1.0.5
Local package version is up-to-date: http@1.1.1
Local package version is up-to-date: id-map@1.0.4
Local package version is up-to-date: iron:core@0.3.4
Local package version is up-to-date: iron:dynamic-template@0.4.1
Local package version is up-to-date: iron:layout@0.4.1
Local package version is up-to-date: iron:router@0.9.4
Local package version is up-to-date: jquery@1.11.4
Local package version is up-to-date: jquery-waypoints@1.0.4
Local package version is up-to-date: launch-screen@1.0.4
Local package version is up-to-date: less@2.5.0_2
Local package version is up-to-date: livedata@1.0.15
Local package version is up-to-date: localstorage@1.0.5
Local package version is up-to-date: logging@1.0.8
Local package version is up-to-date: mdg:camera@1.2.0
Local package version is up-to-date: mdg:geolocation@1.1.0
Local package version is up-to-date: meteor@1.1.7
Local package version is up-to-date: meteor-base@1.0.1
Local package version is up-to-date: minifiers@1.1.7
Local package version is up-to-date: minimongo@1.0.9
Local package version is up-to-date: mobile-experience@1.0.1
Local package version is up-to-date: mobile-status-bar@1.0.6
Local package version is up-to-date: mongo@1.1.1
Local package version is up-to-date: mongo-id@1.0.1
Local package version is up-to-date: npm-mongo@1.4.39_1
Local package version is up-to-date: oauth@1.1.6
Local package version is up-to-date: oauth1@1.1.5
Local package version is up-to-date: observe-sequence@1.0.7
Local package version is up-to-date: ordered-dict@1.0.4
Local package version is up-to-date: percolate:velocityjs@1.2.1_1
Local package version is up-to-date: percolate:wireframing@0.2.0
Local package version is up-to-date: promise@0.4.8
Local package version is up-to-date: random@1.0.4
Local package version is up-to-date: rate-limit@1.0.0
Local package version is up-to-date: reactive-dict@1.1.1
Local package version is up-to-date: reactive-var@1.0.6
Local package version is up-to-date: reload@1.1.4
Local package version is up-to-date: retry@1.0.4
Local package version is up-to-date: routepolicy@1.0.6
Local package version is up-to-date: service-configuration@1.0.5
Local package version is up-to-date: session@1.1.1
Local package version is up-to-date: spacebars@1.0.7
Local package version is up-to-date: spacebars-compiler@1.0.7
Local package version is up-to-date: standard-minifiers@1.0.0
Local package version is up-to-date: templating@1.1.3
Local package version is up-to-date: templating-tools@1.0.0
Local package version is up-to-date: tmeasday:publish-counts@0.7.2
Local package version is up-to-date: tracker@1.0.8
Local package version is up-to-date: twitter@1.1.5
Local package version is up-to-date: ui@1.0.8
Local package version is up-to-date: underscore@1.0.4
Local package version is up-to-date: url@1.0.5
Local package version is up-to-date: webapp@1.2.2
Local package version is up-to-date: webapp-hashing@1.0.5
Preparing Cordova project from app bundle
Processing mobile-config.js
Copying resources for mobile apps
Writing new config.xml
Copying over the cordova-build-override directory
Preparing Cordova project for platform Android
Running Cordova app for platform Android with options --emulator
ANDROID_HOME=/Users/kevin/Library/Android/sdk-
JAVA_HOME=/Library/Java/JavaVirtualMachines/jdk1.8.0_60.jdk/Contents/Home
=> Started your app.

=> App running at: http://localhost:3000/
WARNING : no emulator specified, defaulting to meteor
Waiting for emulator…
HAXM is working and emulator runs in fast virt mode
BOOT COMPLETEpp on Android Emulator /
Running: /Users/kevin/meteorWorkspace/localmarket/.meteor/local/cordova-build/platforms/android/gradlew cdvBuildDebug -b /Users/kevin/meteorWorkspace/localmarket/.meteor/local/cordova-build/platforms/android/build.gradle -PcdvBuildArch=x86 -Dorg.gradle.daemon=true
:preBuild
:compileDebugNdk UP-TO-DATE
:preDebugBuild
:checkDebugManifest
:CordovaLib:compileLint
:CordovaLib:copyDebugLint UP-TO-DATE
:CordovaLib:mergeDebugProguardFiles UP-TO-DATE
:CordovaLib:preBuild
:CordovaLib:preDebugBuild
:CordovaLib:checkDebugManifest
:CordovaLib:prepareDebugDependencies
:CordovaLib:compileDebugAidl UP-TO-DATE
:CordovaLib:compileDebugRenderscript UP-TO-DATE

Building 25% > :CordovaLib:generateUP-TO-DATEaLib:generateDebugBuildConfig
:CordovaLib:generateDebugAssets UP-TO-DATE
:CordovaLib:mergeDebugAssets UP-TO-DATE
:CordovaLib:generateDebugResValues UP-TO-DATE
:CordovaLib:generateDebugResources UP-TO-DATE
Building 34% > :CordovaLib:packaUP-TO-DATECordovaLib:packageDebugResources
:CordovaLib:processDebugManifest UP-TO-DATE
:CordovaLib:processDebugResources UP-TO-DATE
:CordovaLib:generateDebugSources UP-TO-DATE
:CordovaLib:compileDebugJava UP-TO-DATE
:CordovaLib:processDebugJavaRes UP-TO-DATE
:CordovaLib:packageDebugJar UP-TO-DATE
:CordovaLib:compileDebugNdk UP-TO-DATE
:CordovaLib:packageDebugJniLibs UP-TO-DATE
:CordovaLib:packageDebugLocalJar UP-TO-DATE
:CordovaLib:packageDebugRenderscript UP-TO-DATE
:CordovaLib:bundleDebug UP-TO-DATE
:prepareAndroidCordovaLibUnspecifiedDebugLibrary UP-TO-DATE
:prepareDebugDependencies
:compileDebugAidl UP-TO-DATE
:compileDebugRenderscript UP-TO-DATE
:generateDebugBuildConfig UP-TO-DATE
:generateDebugAssets UP-TO-DATE
:mergeDebugAssets UP-TO-DATE
:generateDebugResValues UP-TO-DATE
:generateDebugResources UP-TO-DATE
:mergeDebugResources UP-TO-DATE
:processDebugManifest UP-TO-DATE
:processDebugResources UP-TO-DATE
:generateDebugSources UP-TO-DATE
:compileDebugJava UP-TO-DATE
:preDexDebug UP-TO-DATE
:dexDebug UP-TO-DATE
:processDebugJavaRes UP-TO-DATE
:validateDebugSigning
:packageDebug UP-TO-DATE
:zipalignDebug UP-TO-DATE
:assembleDebug UP-TO-DATE
:cdvBuildDebug UP-TO-DATE

BUILD SUCCESSFUL

Total time: 6.054 secs
Built the following apk(s):Emulator -
/Users/kevin/meteorWorkspace/localmarket/.meteor/local/cordova-build/platforms/android/build/outputs/apk/android-debug.apk
Installing app on emulator…
Using apk: /Users/kevin/meteorWorkspace/localmarket/.meteor/local/cordova-build/platforms/android/build/outputs/apk/android-debug.apk
A retried call failed. Retrying 2 more time(s).
A retried call failed. Retrying 1 more time(s).
Starting app on Android Emulator |
/Users/kevin/meteorWorkspace/localmarket/.meteor/local/cordova-build/platforms/android/cordova/node_modules/q/q.js:126
throw e;
^
Failed to launch app on emulator: Failed to install apk to emulator: Error executing “adb -s emulator-5554 install -r -d “/Users/kevin/meteorWorkspace/localmarket/.meteor/local/cordova-build/platforms/android/build/outputs/apk/android-debug.apk””: failed to copy ‘/Users/kevin/meteorWorkspace/localmarket/.meteor/local/cordova-build/platforms/android/build/outputs/apk/android-debug.apk’ to ‘/data/local/tmp/android-debug.apk’: No space left on device

=> Errors executing Cordova commands:

While running Cordova app for platform Android with options --emulator:
Error: Command failed:
/Users/kevin/meteorWorkspace/localmarket/.meteor/local/cordova-build/platforms/android/cordova/run
–emulator

at ChildProcess.exitCallback (/tools/utils/processes.js:137:23)
at ChildProcess.emit (events.js:98:17)
at Process.ChildProcess._handle.onexit (child_process.js:820:12)

ExitWithCode:1

I assigned 512M to SD.


#2

‘No space left on device’ seems to be the issue here. I don’t think that has anything to do with the Meteor upgrade.


#3

I deleted the old meteor AVD and start " meteor run android" and works.
but this time it pickup the first one AVD from my configured AVD list.

Is it possible to config the certain AVD that i expected for meteor application? i mean in the meteor run command.